<?php

$_['nitropackio'] = array(
    'version' => '2.9.3',
    'modified_file' => 'catalog/controller/module/nitropack.php',
    'oc' => array(
        'setting_code' => 'nitropack',
        'field' => array(
            'status' => 'nitropack_status'
        ),
        'route' => array(
            'extension' => 'extension/module',
            'modification' => 'extension/modification'
        )
    ),
    'route' => array(
        'event' => array(
            'category' => 'module/nitropack_event_category',
            'information' => 'module/nitropack_event_information',
            'manufacturer' => 'module/nitropack_event_manufacturer',
            'product' => 'module/nitropack_event_product',
            'review' => 'module/nitropack_event_review',
            'theme' => 'module/nitropack_event_theme'
        ),
        'module' => array(
            'nitropack' => 'module/nitropack'
        )
    ),
    'model' => array(
        'event' => array(
            'category' => 'model_module_nitropack_event_category',
            'information' => 'model_module_nitropack_event_information',
            'manufacturer' => 'model_module_nitropack_event_manufacturer',
            'product' => 'model_module_nitropack_event_product',
            'review' => 'model_module_nitropack_event_review',
            'theme' => 'model_module_nitropack_event_theme'
        ),
        'module' => array(
            'nitropack' => 'model_module_nitropack'
        )
    ),
    'event' => array(
        // Admin Products
        'post.admin.product.add' => array('module/nitropack/productAfterAdd'),
        'post.admin.add.product' => array('module/nitropack/productAfterAdd'),
        'pre.admin.product.edit.nitropack' => array('module/nitropack/productBeforePersist'),
        'post.admin.product.edit' => array('module/nitropack/productAfterEdit'),
        'post.admin.edit.product' => array('module/nitropack/productAfterEdit'),
        'pre.admin.product.delete' => array('module/nitropack/productBeforePersist'),
        'pre.admin.delete.product' => array('module/nitropack/productBeforePersist'),
        'post.admin.product.delete' => array('module/nitropack/productAfterDelete'),
        'post.admin.delete.product' => array('module/nitropack/productAfterDelete'),
        // Admin Categories
        'post.admin.category.add' => array('module/nitropack/categoryAfterAdd'),
        'post.admin.add.category' => array('module/nitropack/categoryAfterAdd'),
        'pre.admin.category.edit.nitropack' => array('module/nitropack/categoryBeforePersist'),
        'post.admin.category.edit' => array('module/nitropack/categoryAfterEdit'),
        'post.admin.edit.category' => array('module/nitropack/categoryAfterEdit'),
        'pre.admin.category.delete' => array('module/nitropack/categoryBeforePersist'),
        'pre.admin.delete.category' => array('module/nitropack/categoryBeforePersist'),
        'post.admin.category.delete' => array('module/nitropack/categoryAfterDelete'),
        'post.admin.delete.category' => array('module/nitropack/categoryAfterDelete'),
        // Admin Manufacturers
        'post.admin.manufacturer.add' => array('module/nitropack/manufacturerAfterAdd'),
        'post.admin.add.manufacturer' => array('module/nitropack/manufacturerAfterAdd'),
        'pre.admin.manufacturer.edit.nitropack' => array('module/nitropack/manufacturerBeforePersist'),
        'post.admin.manufacturer.edit' => array('module/nitropack/manufacturerAfterEdit'),
        'post.admin.edit.manufacturer' => array('module/nitropack/manufacturerAfterEdit'),
        'pre.admin.manufacturer.delete' => array('module/nitropack/manufacturerBeforePersist'),
        'pre.admin.delete.manufacturer' => array('module/nitropack/manufacturerBeforePersist'),
        'post.admin.manufacturer.delete' => array('module/nitropack/manufacturerAfterDelete'),
        'post.admin.delete.manufacturer' => array('module/nitropack/manufacturerAfterDelete'),
        // Admin Informations
        'post.admin.information.add' => array('module/nitropack/informationAfterAdd'),
        'post.admin.add.information' => array('module/nitropack/informationAfterAdd'),
        'pre.admin.information.edit.nitropack' => array('module/nitropack/informationBeforePersist'),
        'post.admin.information.edit' => array('module/nitropack/informationAfterEdit'),
        'post.admin.edit.information' => array('module/nitropack/informationAfterEdit'),
        'pre.admin.information.delete' => array('module/nitropack/informationBeforePersist'),
        'pre.admin.delete.information' => array('module/nitropack/informationBeforePersist'),
        'post.admin.information.delete' => array('module/nitropack/informationAfterDelete'),
        'post.admin.delete.information' => array('module/nitropack/informationAfterDelete'),
        // Admin Reviews
        'post.admin.review.add' => array('module/nitropack/reviewAfterAdd'),
        'post.admin.add.review' => array('module/nitropack/reviewAfterAdd'),
        'pre.admin.review.edit.nitropack' => array('module/nitropack/reviewBeforePersist'),
        'post.admin.review.edit' => array('module/nitropack/reviewAfterEdit'),
        'post.admin.edit.review' => array('module/nitropack/reviewAfterEdit'),
        'pre.admin.review.delete' => array('module/nitropack/reviewBeforePersist'),
        'pre.admin.delete.review' => array('module/nitropack/reviewBeforePersist'),
        'post.admin.review.delete' => array('module/nitropack/reviewAfterDelete'),
        'post.admin.delete.review' => array('module/nitropack/reviewAfterDelete'),
        // Journal 2 Theme
        'pre.admin.journal2.nitropack' => array('module/nitropack/themeBeforePersist'),
        'post.admin.journal2.nitropack' => array('module/nitropack/themeAfterPersist'),
        // Admin Languages
        'post.admin.language.add' => array('module/nitropack/updateActiveLanguages'),
        'post.admin.add.language' => array('module/nitropack/updateActiveLanguages'),
        'post.admin.language.edit' => array('module/nitropack/updateActiveLanguages'),
        'post.admin.edit.language' => array('module/nitropack/updateActiveLanguages'),
        'post.admin.language.delete' => array('module/nitropack/updateActiveLanguages'),
        'post.admin.delete.language' => array('module/nitropack/updateActiveLanguages'),
        // Order Histories
        'pre.order.add' => array('module/nitropack/beforeAddOrder'),
        'pre.order.edit' => array('module/nitropack/beforeModifyOrder'),
        'pre.order.delete' => array('module/nitropack/beforeModifyOrder'),
        'pre.order.history.add' => array('module/nitropack/beforeModifyOrder'),
    )
);
